Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 705940 - >=www-client/firefox-bin-71.x does not look in /usr/lib64/nsbrowser/plugins for plugins
Summary: >=www-client/firefox-bin-71.x does not look in /usr/lib64/nsbrowser/plugins f...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Thomas Deutschmann
URL:
Whiteboard:
Keywords:
: 709522 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-01-20 11:26 UTC by Valentin Saussois
Modified: 2020-05-05 21:45 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Valentin Saussois 2020-01-20 11:26:09 UTC
What happened :
  Firefox from www-client/firefox-bin-72.0.1 package do not look into /usr/lib64/nsbrowser/plugins to detect plugins even though packages like www-plugins/adobe-flash will copy plug-in files aimed at ns/firefox browsers there.

The quickfix I used :
  I had to create a symlink to /usr/lib/mozilla/plugins manually in order to have firefox detect the flash plugin.

The general problem :
  Nor firefox-bin or adobe-flash ebuilds create the necessary symlink nor firefox from firefox-bin package is configured to look in the /usr/lib64/nsbrowser/plugins directory for plugins.

Steps to reproduce the problem :
1 - emerge =www-client/firefox-bin-72.0.1 =plugins/adobe-flash-32.0.0.314
2 - open firefox
3 - go to about:plugins or try to use flash plugin
4 - firefox fail to register or to use the flash plugin.

Thanks for your hard work !
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-02-01 21:18:32 UTC
I can reproduce this.
Comment 2 Jory A. Pratt gentoo-dev 2020-03-18 18:32:48 UTC
*** Bug 709522 has been marked as a duplicate of this bug. ***
Comment 3 Thomas Deutschmann gentoo-dev Security 2020-03-18 22:05:41 UTC
I can confirm the issue but I have no idea how we can fix the problem.

We can't just create a symlink:

- Who should own that symlink?

- If you install www-plugins/adobe-flash for ABI_X86="32 64" you will end up with

  /usr/lib/nsbrowser/plugins/libflashplayer.so

  and

  /usr/lib64/nsbrowser/plugins/libflashplayer.so

  Now what? If we would have managed to install that symlink (maybe by a helper
  package which would just own that directory/symlink), we would now run into
  problems.

But it looks like this is an upstream issue. See https://bugzilla.mozilla.org/show_bug.cgi?id=1602308 ...
Comment 4 Enne Eziarc 2020-03-18 23:43:21 UTC
Same happens on 32-bit x86. Flash plugin is in /usr/lib/nsbrowser/plugins/libflashplayer.so, and firefox-bin 7x.0 sees nothing installed.

firefox from source doesn't have this problem, but going that route as a workaround on my x86 machine is somewhat overkill.
Comment 5 Jory A. Pratt gentoo-dev 2020-03-19 02:16:34 UTC
(In reply to Anthony Parsons from comment #4)
> Same happens on 32-bit x86. Flash plugin is in
> /usr/lib/nsbrowser/plugins/libflashplayer.so, and firefox-bin 7x.0 sees
> nothing installed.
> 
> firefox from source doesn't have this problem, but going that route as a
> workaround on my x86 machine is somewhat overkill.

x86 will not have an upstream binary soon. At that point if you stay with firefox you will still have to compile from source.
Comment 6 Gleb 2020-05-04 17:20:57 UTC
According to "See also" URL, the upstream fixed the issue, and Firefox 76 released and marked as stable in Gentoo as well.

Are there any plans to address this issue in Gentoo?
Comment 7 Thomas Deutschmann gentoo-dev Security 2020-05-04 17:24:55 UTC
Stables doesn't mean anything for -bin package.

Please test... the wrapper script introduced some versions before sets MOZ_PLUGIN_PATH. If this is fixed, it should work...
Comment 8 Gleb 2020-05-05 18:40:35 UTC
Running firefox-bin like this helps:
MOZ_PLUGIN_PATH="/usr/lib64/nsbrowser/plugins" firefox-bin

Otherwise it works as before, no plugin.

As I can see from the wrapper script, it doesn't check /usr/lib64/nsbrowser/plugins, right?